/*
Created by Maria Isabel Santana
On: 05.07.2023
*/

use "$WORKING_ANALYSIS\weeklyfinancialdata.dta", clear
global covarsam "loan_amount_bal icf_balance_bal af_balance_bal population_bal type_bal avg_mun_bin_d_bal"	
global covarhh "age elect_hh hh_size"
eststo c1: reg afbalance TE_ball earned_tot alpha_riskest $covarsam $covarhh if subid!=. & wkexid>0 & wkexid<9 & session_number>9 & inst==1 & map_id==., vce(cluster session_number)
test _b[TE_ball]=34.30648
/* ( 1)  TE_ball = 34.30648

       F(  1,    26) =    1.30
            Prob > F =    0.2649

*/
eststo c2: reg afbalance TE_ball checkid2 earned_tot alpha_riskest $covarsam $covarhh if subid!=. & wkexid>0 & wkexid<9 & session_number>9 & inst==1 & map_id==. , vce(cluster session_number)
test _b[TE_ball]=18.62962 
/* ( 1)  TE_ball = 18.62962

       F(  1,    26) =    2.24
            Prob > F =    0.1468

*/
eststo c3: reg afbalance TE_ball earned_tot alpha_riskest $covarsam $covarhh if subid!=. & wkexid>0 & wkexid<9 & session_number>9 & inst==0 & map_id==., vce(cluster session_number)
eststo c4: reg afbalance TE_ball checkid2 earned_tot alpha_riskest $covarsam $covarhh if subid!=. & wkexid>0 & wkexid<9 & session_number>9 & inst==0 & map_id==. , vce(cluster session_number)


**************